Bulk archive deals
POST
/api/pipeline/deals/bulk/archive
const url = 'https://example.com/api/pipeline/deals/bulk/archive';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"deal_ids":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/pipeline/deals/bulk/archive \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "deal_ids": [ "example" ] }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
BulkArchiveRequest
object
deal_ids
required
Deal Ids
Array<string>
Example generated
{ "deal_ids": [ "example" ]}Responses
Section titled “ Responses ”Successful Response
Media type application/json
BulkOperationResponse
object
Example generated
{ "total": 1, "succeeded": 1, "failed": 1, "results": { "additionalProperty": { "success": true, "error": "example" } }}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}